# ssh-blocking-issue

Connecting to gitlab.tugraz.at via SSH fails after some time.
This can happen in case the PHP package manager "composer" is used, which caches git repos locally and updates them all (sequentially) to check for new git tags.

Steps:

* Connect from extern (home office): without VPN, or via VPN1, or via VPN2P
* Connect from intern (work place): with VPN1 (VPN and VPN2P works)
* Clone this repo via SSH
* Run test.sh (check the source first..)

Actual:

The 20 connections things start to fail:

```
Fetching origin
kex_exchange_identification: read: Connection reset by peer
Connection reset by 129.27.80.131 port 22
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
error: could not fetch origin
```


Expected:

All 40 git commands succeed.
